Bug 105486 - horizontal conditional formatting in xlsb file not visible
Summary: horizontal conditional formatting in xlsb file not visible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2017-01-23 13:19 UTC by Stefan Grotz
Modified: 2017-07-17 09:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example File (10.46 KB, application/vnd.ms-excel.sheet.binary.macroEnabled.12)
2017-01-23 13:19 UTC, Stefan Grotz
Details
Picture of the file in ms excel 2010 and in calc 5.2 (72.84 KB, image/png)
2017-01-23 13:21 UTC, Stefan Grotz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Grotz 2017-01-23 13:19:24 UTC
Created attachment 130626 [details]
Example File

I made a excel sheet with excel 2010 where people can insert data on every calendar week. It has conditional formating that colors weeks in the past red, the current week is green and weeks in the future are blue. Theese conditional formattings are not visible in LO calc 5.2.4.2 portable on windows 7.

I will add a picture of the sheet an an example file for better understanding.

Best wishes and thanks for all your work :)
Comment 1 Stefan Grotz 2017-01-23 13:21:07 UTC
Created attachment 130627 [details]
Picture of the file in ms excel 2010 and in calc 5.2
Comment 2 Xisco Faulí 2017-01-23 14:53:01 UTC
Regression introduced by:

author	Noel Power <noel.power@suse.com>	2013-05-28 20:39:45 (GMT)
committer	Noel Power <noel.power@suse.com>	2013-05-28 20:39:45 (GMT)
commit	353e4d00f5a1226146466ed93c99e911c268d650 (patch)
tree	812b6c7186038340a79bc9ad20684c5e6eb45044
parent	4074c441bf3d959cfeb30f6d0eb5c73f7bf89b1f (diff)
oops forgot to use the mbReadyForFinalize flag in CondFormat::finalizeImport()
Change-Id: I4606b4b1e26303ebba501276a176b2fb66bf9e37
Comment 3 Stefan Grotz 2017-02-01 21:34:52 UTC
What does this mean?
Comment 4 Markus Mohrhard 2017-02-18 02:25:12 UTC
Simple fix.
Comment 5 Commit Notification 2017-02-18 11:11:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aaea9beabcdfa16ffd36116591c5ebea25906b94

fix conditional format import from XLSB, tdf#105486

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-18 11:11:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=251c7180a8fca78aefb71268a1b39ff7176a1d90

add test for tdf#105486

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-03-14 15:11:25 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e237c0109c94da27715c115cecee69d382d6c183&h=libreoffice-5-3

fix conditional format import from XLSB, tdf#105486

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-15 11:41:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=098e9e07df1069b73f281aefeee46cfd681f2ae6&h=libreoffice-5-2

fix conditional format import from XLSB, tdf#105486

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Stefan Grotz 2017-03-31 11:46:32 UTC
Testet in Version: 5.3.2.2
Build-ID: 1:5.3.2~rc2-0ubuntu1~xenial0 and works like a charm :)